net.minecraft.world.gen.structure

## Class StructureStrongholdPieces.Stronghold

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.StructureStrongholdPieces.Stronghold

- Direct Known Subclasses:
    StructureStrongholdPieces.ChestCorridor, StructureStrongholdPieces.Corridor, StructureStrongholdPieces.Crossing, StructureStrongholdPieces.LeftTurn, StructureStrongholdPieces.Library, StructureStrongholdPieces.PortalRoom, StructureStrongholdPieces.Prison, StructureStrongholdPieces.RoomCrossing, StructureStrongholdPieces.Stairs, StructureStrongholdPieces.StairsStraight, StructureStrongholdPieces.Straight
  Enclosing class:
    StructureStrongholdPieces

      public abstract static class StructureStrongholdPieces.Stronghold
      extends StructureComponent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StructureStrongholdPieces.Stronghold.Door`

    - ### Nested classes/interfaces inherited from class net.minecraft.world.gen.structure.StructureComponent

      `StructureComponent.BlockSelector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StructureStrongholdPieces.Stronghold.Door` | `field_143013_d`

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureComponent

      `boundingBox, componentType, coordBaseMode`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `StructureStrongholdPieces.Stronghold()`
    `protected` | `StructureStrongholdPieces.Stronghold(int par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `canStrongholdGoDeeper(StructureBoundingBox par0StructureBoundingBox)`
    `protected void` | `func_143011_b(NBTTagCompound par1NBTTagCompound)`
    `protected void` | `func_143012_a(NBTTagCompound par1NBTTagCompound)`
    `protected StructureComponent` | `getNextComponentNormal(StructureStrongholdPieces.Stairs2 par1ComponentStrongholdStairs2, java.util.List par2List, java.util.Random par3Random, int par4, int par5)`
    `protected StructureComponent` | `getNextComponentX(StructureStrongholdPieces.Stairs2 par1ComponentStrongholdStairs2, java.util.List par2List, java.util.Random par3Random, int par4, int par5)`
    `protected StructureComponent` | `getNextComponentZ(StructureStrongholdPieces.Stairs2 par1ComponentStrongholdStairs2, java.util.List par2List, java.util.Random par3Random, int par4, int par5)`
    `protected StructureStrongholdPieces.Stronghold.Door` | `getRandomDoor(java.util.Random par1Random)`
    `protected void` | `placeDoor(World par1World, java.util.Random par2Random, StructureBoundingBox par3StructureBoundingBox, StructureStrongholdPieces.Stronghold.Door par4EnumDoor, int par5, int par6, int par7)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `addComponentParts, buildComponent, clearCurrentPositionBlocksUpwards, fillWithAir, fillWithBlocks, fillWithMetadataBlocks, fillWithRandomizedBlocks, findIntersecting, func_143009_a, func_143010_b, func_151547_a, func_151552_a, func_151553_a, func_151554_b, generateStructureChestContents, generateStructureDispenserContents, getBlockAtCurrentPosition, getBoundingBox, getComponentType, getMetadataWithOffset, getXWithOffset, getYWithOffset, getZWithOffset, isLiquidInStructureBoundingBox, placeBlockAtCurrentPosition, placeDoorAtCurrentPosition, randomlyFillWithBlocks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_143013_d

          protected StructureStrongholdPieces.Stronghold.Door field_143013_d

  - ### Constructor Detail

    - #### StructureStrongholdPieces.Stronghold

          public StructureStrongholdPieces.Stronghold()

    - #### StructureStrongholdPieces.Stronghold

          protected StructureStrongholdPieces.Stronghold(int par1)

  - ### Method Detail

    - #### func_143012_a

          protected void func_143012_a(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `func_143012_a` in class `StructureComponent`

    - #### func_143011_b

          protected void func_143011_b(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `func_143011_b` in class `StructureComponent`

    - #### placeDoor

          protected void placeDoor(World par1World,
                       java.util.Random par2Random,
                       StructureBoundingBox par3StructureBoundingBox,
                       StructureStrongholdPieces.Stronghold.Door par4EnumDoor,
                       int par5,
                       int par6,
                       int par7)

    - #### getRandomDoor

          protected StructureStrongholdPieces.Stronghold.Door getRandomDoor(java.util.Random par1Random)

    - #### getNextComponentNormal

          protected StructureComponent getNextComponentNormal(StructureStrongholdPieces.Stairs2 par1ComponentStrongholdStairs2,
                                                  java.util.List par2List,
                                                  java.util.Random par3Random,
                                                  int par4,
                                                  int par5)

    - #### getNextComponentX

          protected StructureComponent getNextComponentX(StructureStrongholdPieces.Stairs2 par1ComponentStrongholdStairs2,
                                             java.util.List par2List,
                                             java.util.Random par3Random,
                                             int par4,
                                             int par5)

    - #### getNextComponentZ

          protected StructureComponent getNextComponentZ(StructureStrongholdPieces.Stairs2 par1ComponentStrongholdStairs2,
                                             java.util.List par2List,
                                             java.util.Random par3Random,
                                             int par4,
                                             int par5)

    - #### canStrongholdGoDeeper

          protected static boolean canStrongholdGoDeeper(StructureBoundingBox par0StructureBoundingBox)